# Method Protocols.SNMP.protocol()->get_nextrequest()

Method get_nextrequest

  ``int` get_nextrequest(`array`(`string`) `varlist`, `string`|`void` `rem_addr`, `int`|`void` `rem_port`)`

Description

  GetNextRequest-PDU call

Parameter `varlist`

  an array of OIDs to GET

Parameter `rem_addr`
Parameter `rem_port`

  remote address an UDP port to send request to (optional)

Returns

  request ID